package mqtt

type XToday struct {
	XBegDate        string
	XEndDate        string
	LastMaxHabitId  int64
	CurrMaxHabitId  int64
	XMin2Id         int64
	XMin7Id         int64
	ActiveLowest    int32
	RuminaLowest    int32
	ActiveLow       int32
	ActiveMiddle    int32
	ActiveHigh      int32
	XRuminaDisc     int32
	XChangeDiscount int32
}

type AvgHabit struct {
	NeckRingNumber   string
	AvgHighHabit     int32
	AvgRuminaHabit   int32
	AvgChewHabit     int32
	AvgInactiveHabit int32
	AvgIntakeHabit   int32
	AvgOtherHabit    int32
}

type SumHabit struct {
	NeckRingNumber string
	SumRumina      int32
	SumIntake      int32
	SumInactive    int32
	SumActive      int32
	SumMaxHigh     int32
	SumMinHigh     int32
	SumMinChew     int32
}

type ChangeFilterData struct {
	Id             int64
	NeckRingNumber string
	ChangeHigh     int32
	ChangeFilter   int32
	RuminaFilter   int32
	ChangeRumina   int32
	ChewFilter     int32
	ChangeChew     int32
	XlcDisCount    float64
	HeatDate       string
	FrameId        int32
}

type ActivityVolume struct {
	NeckRingNumber string
	AvgFilter      int32
	StdFilter      int32
	Nb             int32
}

type FirstFilterData struct {
	NeckRingNumber string
	FilterHigh     int32
	FilterRumina   int32
	FilterChew     int32
}

type SecondFilterData struct {
	NeckRingNumber string
	ChangeFilter   float64
	RuminaFilter   float64
	ChewFilter     float64
}
